package com.jeeplus.modules.filing.earlyEngineering.entity;

import com.google.common.collect.Lists;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.List;

/**
 * 批概阶段实体类
 * */
public class ReviewStage extends DataEntity<ReviewStage> {
    /**
     * 项目编码
     */
    private String projectCode;

    /**
     * 单体编码
     */
    private String monomerCode;

    /**
     * 项目名称
     */
    private String entryName;


    /**
     * 批概动态
     * */
    private String batchOverview;

    /**
     * 批概静态
     * */
    private String batchStatistics;

    /**
     * 批概场地清理费/相应的WBS编码
     * */
    private String estimateCode;

    /**
     * 设计费批概相应的/相应的WBS编码WBS编码
     * */
    private String designCost;

    /**
     * 监理费批概/相应的WBS编码
     * */
    private String supervisionFeeCode;

    /**
     * 批概法人管理费/相应的WBS编码
     * */
    private String managementFeeCode;

    /**
     * 其他概算中需要的数据/相应的WBS编码
     * */
    private String dataCode;

    /**
     * 子类数据集合
     * */
    private List<ReviewStage> childList = Lists.newArrayList();

    @ExcelField(title="项目编码", align=2, sort=1)
    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    @ExcelField(title="单体编码", align=2, sort=2)
    public String getMonomerCode() {
        return monomerCode;
    }

    public void setMonomerCode(String monomerCode) {
        this.monomerCode = monomerCode;
    }

    @ExcelField(title="项目名称", align=2, sort=3)
    public String getEntryName() {
        return entryName;
    }

    public void setEntryName(String entryName) {
        this.entryName = entryName;
    }

    @ExcelField(title="批概动态", align=2, sort=4)
    public String getBatchOverview() {
        return batchOverview;
    }

    public void setBatchOverview(String batchOverview) {
        this.batchOverview = batchOverview;
    }

    @ExcelField(title="批概静态", align=2, sort=5)
    public String getBatchStatistics() {
        return batchStatistics;
    }

    public void setBatchStatistics(String batchStatistics) {
        this.batchStatistics = batchStatistics;
    }

    @ExcelField(title="批概场地清理费/相应的WBS编码", align=2, sort=6)
    public String getEstimateCode() {
        return estimateCode;
    }

    public void setEstimateCode(String estimateCode) {
        this.estimateCode = estimateCode;
    }

    @ExcelField(title="设计费批概相应的/相应的WBS编码WBS编码", align=2, sort=7)
    public String getDesignCost() {
        return designCost;
    }

    public void setDesignCost(String designCost) {
        this.designCost = designCost;
    }

    @ExcelField(title="监理费批概/相应的WBS编码", align=2, sort=8)
    public String getSupervisionFeeCode() {
        return supervisionFeeCode;
    }

    public void setSupervisionFeeCode(String supervisionFeeCode) {
        this.supervisionFeeCode = supervisionFeeCode;
    }

    @ExcelField(title="批概法人管理费/相应的WBS编码", align=2, sort=9)
    public String getManagementFeeCode() {
        return managementFeeCode;
    }

    public void setManagementFeeCode(String managementFeeCode) {
        this.managementFeeCode = managementFeeCode;
    }

    @ExcelField(title="其他概算中需要的数据/相应的WBS编码", align=2, sort=10)
    public String getDataCode() {
        return dataCode;
    }

    public void setDataCode(String dataCode) {
        this.dataCode = dataCode;
    }

    public List<ReviewStage> getChildList() {
        return childList;
    }

    public void setChildList(List<ReviewStage> childList) {
        this.childList = childList;
    }
}
